# == Schema Information
#
# Table name: shipping_methods
#
#  id               :bigint           not null, primary key
#  active           :boolean          default(TRUE), not null
#  code             :string
#  description      :string
#  ship_to_required :boolean
#  created_at       :datetime         not null
#  updated_at       :datetime         not null
#
# Indexes
#
#  index_shipping_methods_on_code  (code) UNIQUE
#
class ShippingMethod < ApplicationRecord
  scope :active, -> { where(active: true) }
  has_many :orders
  has_many :stock_orders
end
