class FixOrderStyleTypes < ActiveRecord::Migration[6.0]
  def change
    query = StyleType.arel_table[:style_type].matches("%,%")
    Order.joins(:style_type).where(query).each do |order|
      original_style_type = order.style_type&.style_type || ""
      fixed_style_type = StyleType.find_or_create_by(style_type: original_style_type.split(",").first)
      order.style_type = fixed_style_type
      order.save
    end
  end
end
